package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TableGeneratorExample2 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test2");
        EntityManager em = emf.createEntityManager();

        System.out.println("-----------------------\nbefore persisting entities");
        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'PUBLIC' ");
        Util.nativeQuery(em, "SELECT * FROM myTableGen3");
        Util.nativeQuery(em, "SELECT * FROM myTableGen4");

        MyEntity3 entity1 = new MyEntity3();
        MyEntity3 entity2 = new MyEntity3();
        MyEntity4 entity3 = new MyEntity4();
        MyEntity4 entity4 = new MyEntity4();
        MyEntity4 entity5 = new MyEntity4();
        em.getTransaction().begin();
        em.persist(entity1);
        em.persist(entity2);
        em.persist(entity3);
        em.persist(entity4);
        em.persist(entity5);
        em.getTransaction().commit();
        System.out.println("-----------------------\nafter persisting entities");
        Util.nativeQuery(em, "SELECT * FROM MyEntity3");
        Util.nativeQuery(em, "SELECT * FROM MyEntity4");
        Util.nativeQuery(em, "SELECT * FROM myTableGen3");
        Util.nativeQuery(em, "SELECT * FROM myTableGen4");

        em.close();
        emf.close();
    }
}