package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TableGeneratorExample3 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test3");
        EntityManager em = emf.createEntityManager();

        System.out.println("-----------------------\nbefore persisting entities");
        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'PUBLIC' ");
        Util.nativeQuery(em, "SELECT * FROM myTableGenShared");

        MyEntity5 entity1 = new MyEntity5();
        MyEntity5 entity2 = new MyEntity5();
        MyEntity6 entity3 = new MyEntity6();
        MyEntity6 entity4 = new MyEntity6();
        MyEntity6 entity5 = new MyEntity6();
        em.getTransaction().begin();
        em.persist(entity1);
        em.persist(entity2);
        em.persist(entity3);
        em.persist(entity4);
        em.persist(entity5);
        em.getTransaction().commit();

        System.out.println("-----------------------\nafter persisting entities");
        Util.nativeQuery(em, "SELECT * FROM MyEntity5");
        Util.nativeQuery(em, "SELECT * FROM MyEntity6");
        Util.nativeQuery(em, "SELECT * FROM myTableGenShared");

        em.close();
        emf.close();
    }
}